import { stringifyRequest } from 'loader-utils';
const insertCss = await import.meta.resolve('./insertCss.js');
export function pitch(request) {
    if (this.cacheable) {
        this.cacheable();
    }
    const insertCssRequestString = stringifyRequest(this, `!${insertCss}`);
    // TODO: Something is broken in webpack or loader-utils, but idk what
    let requestString = stringifyRequest(this, `!!${request}`);
    requestString = requestString.replace('??ruleSet[1].rules[5]', '?modules=local&sourceMap=false&localsConvention=camelCaseOnly');
    requestString = requestString.replace('??ruleSet[1].rules[6]', '');
    return `
    var refs = 0;
    var css = require(${requestString});
    var insertCss = require(${insertCssRequestString}).default;
    var content = typeof css === 'string' ? [[module.id, css, '']] : css;

    exports = module.exports = css.locals || {};
    exports._getContent = function() { return content; };
    exports._getCss = function() { return '' + css; };
    exports._insertCss = function(options) { return insertCss(content, options) };

    // Hot Module Replacement
    // https://webpack.github.io/docs/hot-module-replacement
    // Only activated in browser context
    if (typeof window !== 'undefined' && window.document) {
      if (module.hot) {
        var removeCss = function() {};
        module.hot.accept(${requestString}, function() {
          css = require(${requestString});
          content = typeof css === 'string' ? [[module.id, css, '']] : css;
          removeCss = insertCss(content, { replace: true });
        });
        module.hot.dispose(function() { removeCss(); });
      } else if (import.meta.webpackHot) {
        var removeCss = function() {};
        import.meta.webpackHot.accept(${requestString}, function() {
          css = require(${requestString});
          content = typeof css === 'string' ? [[module.id, css, '']] : css;
          removeCss = insertCss(content, { replace: true });
        });
        import.meta.webpackHot.dispose(function() { removeCss(); });
      }
    }
  `;
}
//# sourceMappingURL=index.js.map